[
	{
		"uri":"swr_pd_index.html",
		"product_code":"swr",
		"code":"1",
		"des":"HUAWEI CLOUD Help Center presents technical documents to help you quickly get started with HUAWEI CLOUD services. The technical documents include Service Overview, Price Details, Purchase Guide, User Guide, API Reference, Best Practices, FAQs, and Videos.",
		"doc_type":"usermanual",
		"kw":"Service Overview",
		"title":"Service Overview",
		"githuburl":""
	},
	{
		"uri":"swr_03_0001.html",
		"product_code":"swr",
		"code":"2",
		"des":"SoftWare Repository for Container (SWR) allows you to easily manage the full lifecycle of container images and facilitates secure deployment of images for your applicatio",
		"doc_type":"usermanual",
		"kw":"Introduction,Service Overview,User Guide",
		"title":"Introduction",
		"githuburl":""
	},
	{
		"uri":"swr_03_0002.html",
		"product_code":"swr",
		"code":"3",
		"des":"You can directly push and pull container images without platform build or O&M.SWR provides an easy-to-use management console for full lifecycle management over container ",
		"doc_type":"usermanual",
		"kw":"Advantages,Service Overview,User Guide",
		"title":"Advantages",
		"githuburl":""
	},
	{
		"uri":"swr_03_0004.html",
		"product_code":"swr",
		"code":"4",
		"des":"You can use SWR to build, push, pull, synchronize, and delete container images.AdvantagesP2P download acceleration ensures faster image pull for CCE clusters.Up to 99.999",
		"doc_type":"usermanual",
		"kw":"Application Scenarios,Service Overview,User Guide",
		"title":"Application Scenarios",
		"githuburl":""
	},
	{
		"uri":"swr_03_0003.html",
		"product_code":"swr",
		"code":"5",
		"des":"Images are like templates that include everything needed to run applications. When deploying containerized applications, you can use images from the Docker image center a",
		"doc_type":"usermanual",
		"kw":"Basic Concepts,Service Overview,User Guide",
		"title":"Basic Concepts",
		"githuburl":""
	},
	{
		"uri":"swr_03_0007.html",
		"product_code":"swr",
		"code":"6",
		"des":"Quotas are imposed on the number of organizations a user can create. Table 1 lists the quotas imposed by SWR.",
		"doc_type":"usermanual",
		"kw":"Notes and Constraints,Service Overview,User Guide",
		"title":"Notes and Constraints",
		"githuburl":""
	},
	{
		"uri":"swr_03_0006.html",
		"product_code":"swr",
		"code":"7",
		"des":"SWR works with other cloud services and requires permissions to access them. For details, see Figure 1.Cloud Container Engine (CCE)CCE is a high-performance, high-reliabi",
		"doc_type":"usermanual",
		"kw":"Related Services,Service Overview,User Guide",
		"title":"Related Services",
		"githuburl":""
	},
	{
		"uri":"swr_01_0009.html",
		"product_code":"swr",
		"code":"8",
		"des":"SoftWare Repository for Container (SWR) allows you to easily manage the full lifecycle of container images and facilitates secure deployment of images for your applicatio",
		"doc_type":"usermanual",
		"kw":"Introduction,User Guide",
		"title":"Introduction",
		"githuburl":""
	},
	{
		"uri":"swr_01_0006.html",
		"product_code":"swr",
		"code":"9",
		"des":"The container engine, namely, Docker, is an open-source engine which allows you to create a lightweight, portable, and self-sufficient container for any application. SWR ",
		"doc_type":"usermanual",
		"kw":"Dockerfile,Nginx image,Nginx image,Edit Dockerfile,.tar,.tar.gz,Basics of the Container Engine,User ",
		"title":"Basics of the Container Engine",
		"githuburl":""
	},
	{
		"uri":"swr_01_0028.html",
		"product_code":"swr",
		"code":"10",
		"des":"HUAWEI CLOUD Help Center presents technical documents to help you quickly get started with HUAWEI CLOUD services. The technical documents include Service Overview, Price Details, Purchase Guide, User Guide, API Reference, Best Practices, FAQs, and Videos.",
		"doc_type":"usermanual",
		"kw":"Image Management",
		"title":"Image Management",
		"githuburl":""
	},
	{
		"uri":"swr_01_0011.html",
		"product_code":"swr",
		"code":"11",
		"des":"This section walks you through the steps of uploading an image to SWR through the client by taking the nginx:v1 image built in Basics of the Container Engine as an exampl",
		"doc_type":"usermanual",
		"kw":"Push the image to the image repository,Uploading an Image Through the Client,Image Management,User G",
		"title":"Uploading an Image Through the Client",
		"githuburl":""
	},
	{
		"uri":"swr_01_1000.html",
		"product_code":"swr",
		"code":"12",
		"des":"This section describes how to obtain a login command that is valid for a year.For security purposes, it is advised to obtain the login command in the development environm",
		"doc_type":"usermanual",
		"kw":"obtain the login key,Obtaining a Long-Term Valid Login Command,Image Management,User Guide",
		"title":"Obtaining a Long-Term Valid Login Command",
		"githuburl":""
	},
	{
		"uri":"swr_01_0017.html",
		"product_code":"swr",
		"code":"13",
		"des":"You can run the docker pull command to pull images from SWR.Run the docker images command to check whether the images are successfully pulled.docker save [Image name:tag ",
		"doc_type":"usermanual",
		"kw":"Pulling an Image,Image Management,User Guide",
		"title":"Pulling an Image",
		"githuburl":""
	},
	{
		"uri":"swr_01_0016.html",
		"product_code":"swr",
		"code":"14",
		"des":"After uploading an image, you can set image attributes, including its type (private by default), category and description.Public images can be pulled by all users; wherea",
		"doc_type":"usermanual",
		"kw":"set image attributes,type (private by default), category and description,Setting Image Attributes,Im",
		"title":"Setting Image Attributes",
		"githuburl":""
	},
	{
		"uri":"swr_01_0026.html",
		"product_code":"swr",
		"code":"15",
		"des":"You can share your private images with other users and grant the users access permissions.The user with whom you shared the image can then log in to SWR console to view t",
		"doc_type":"usermanual",
		"kw":"Sharing Private Images,Image Management,User Guide",
		"title":"Sharing Private Images",
		"githuburl":""
	},
	{
		"uri":"swr_01_0014.html",
		"product_code":"swr",
		"code":"16",
		"des":"Organizations enable efficient management of images. Organizations are used to isolate image repositories. With each organization being limited to one company or departme",
		"doc_type":"usermanual",
		"kw":"Organization Management,User Guide",
		"title":"Organization Management",
		"githuburl":""
	},
	{
		"uri":"swr_01_0015.html",
		"product_code":"swr",
		"code":"17",
		"des":"To manage SWR permissions, you can use Identity and Access Management (IAM). If you have the SWR Admin or Tenant Administrator permission, you become an admin user of SWR",
		"doc_type":"usermanual",
		"kw":"Read,Write,Manage,Permission,Permission,User Permissions,User Guide",
		"title":"User Permissions",
		"githuburl":""
	},
	{
		"uri":"swr_faq_index.html",
		"product_code":"swr",
		"code":"18",
		"des":"HUAWEI CLOUD Help Center presents technical documents to help you quickly get started with HUAWEI CLOUD services. The technical documents include Service Overview, Price Details, Purchase Guide, User Guide, API Reference, Best Practices, FAQs, and Videos.",
		"doc_type":"usermanual",
		"kw":"FAQs",
		"title":"FAQs",
		"githuburl":""
	},
	{
		"uri":"swr_faq_1001.html",
		"product_code":"swr",
		"code":"19",
		"des":"HUAWEI CLOUD Help Center presents technical documents to help you quickly get started with HUAWEI CLOUD services. The technical documents include Service Overview, Price Details, Purchase Guide, User Guide, API Reference, Best Practices, FAQs, and Videos.",
		"doc_type":"usermanual",
		"kw":"General FAQs",
		"title":"General FAQs",
		"githuburl":""
	},
	{
		"uri":"swr_faq_0013.html",
		"product_code":"swr",
		"code":"20",
		"des":"SWR has no limit on the number of images. You can upload any number of images.SWR has no restriction on the kernel architecture of images. There is no difference between ",
		"doc_type":"usermanual",
		"kw":"SWR Overview,General FAQs,User Guide",
		"title":"SWR Overview",
		"githuburl":""
	},
	{
		"uri":"swr_faq_0012.html",
		"product_code":"swr",
		"code":"21",
		"des":"The following two approaches are for you to consider. Approach 1 is for images that will only be updated occasionally whereas approach 2 is for images that will be freque",
		"doc_type":"usermanual",
		"kw":"How Do I Create a Container Image?,General FAQs,User Guide",
		"title":"How Do I Create a Container Image?",
		"githuburl":""
	},
	{
		"uri":"swr_faq_0004.html",
		"product_code":"swr",
		"code":"22",
		"des":"Run the docker save command to compress the container image into a .tar or .tar.gz package. The command format is as follows:docker save [OPTIONS] IMAGE [IMAGE...][OPTION",
		"doc_type":"usermanual",
		"kw":"How Do I Create an Image Package?,General FAQs,User Guide",
		"title":"How Do I Create an Image Package?",
		"githuburl":""
	},
	{
		"uri":"swr_faq_1002.html",
		"product_code":"swr",
		"code":"23",
		"des":"HUAWEI CLOUD Help Center presents technical documents to help you quickly get started with HUAWEI CLOUD services. The technical documents include Service Overview, Price Details, Purchase Guide, User Guide, API Reference, Best Practices, FAQs, and Videos.",
		"doc_type":"usermanual",
		"kw":"Image Management FAQs",
		"title":"Image Management FAQs",
		"githuburl":""
	},
	{
		"uri":"swr_faq_0015.html",
		"product_code":"swr",
		"code":"24",
		"des":"Temporary login commands will expire after 24 hours.Long-term valid login commands are valid for a year.After you obtain a long-term valid login command, your temporary l",
		"doc_type":"usermanual",
		"kw":"What Are the Differences Between Long-Term Valid Login Commands and Temporary Login Commands?,Image ",
		"title":"What Are the Differences Between Long-Term Valid Login Commands and Temporary Login Commands?",
		"githuburl":""
	},
	{
		"uri":"swr_faq_0005.html",
		"product_code":"swr",
		"code":"25",
		"des":"Assume that a nginx image of v2.0.0 is created on the local Docker client. The docker images command is run to query SIZE of the image. The size is 22.8 MB.Run the docker",
		"doc_type":"usermanual",
		"kw":"Why Is an Image Uploaded Through the Client to SWR Different in Size From One Uploaded Through the S",
		"title":"Why Is an Image Uploaded Through the Client to SWR Different in Size From One Uploaded Through the SWR Console?",
		"githuburl":""
	},
	{
		"uri":"swr_faq_0035.html",
		"product_code":"swr",
		"code":"26",
		"des":"Container images stored in SWR cannot be directly downloaded through the console. You can perform the following operations to pull the images:Obtain the image pull comman",
		"doc_type":"usermanual",
		"kw":"Can I Pull Container Images on the SWR Console to a Local PC?,Image Management FAQs,User Guide",
		"title":"Can I Pull Container Images on the SWR Console to a Local PC?",
		"githuburl":""
	},
	{
		"uri":"swr_faq_2000.html",
		"product_code":"swr",
		"code":"27",
		"des":"HUAWEI CLOUD Help Center presents technical documents to help you quickly get started with HUAWEI CLOUD services. The technical documents include Service Overview, Price Details, Purchase Guide, User Guide, API Reference, Best Practices, FAQs, and Videos.",
		"doc_type":"usermanual",
		"kw":"Troubleshooting",
		"title":"Troubleshooting",
		"githuburl":""
	},
	{
		"uri":"swr_faq_0016.html",
		"product_code":"swr",
		"code":"28",
		"des":"Possible causes are as follows:The container engine is not properly installed, in which case the following error is reported:docker: command not foundSolution: Reinstall ",
		"doc_type":"usermanual",
		"kw":"Why Does the Login Command Fail to Be Executed?,Troubleshooting,User Guide",
		"title":"Why Does the Login Command Fail to Be Executed?",
		"githuburl":""
	},
	{
		"uri":"swr_faq_0006.html",
		"product_code":"swr",
		"code":"29",
		"des":"Problem: When you push an image to SWR through your container engine client, the operation fails with the following information returned.denied: you do not have the permi",
		"doc_type":"usermanual",
		"kw":"Why Does an Image Fail to Be Uploaded Through a Container Engine Client?,Troubleshooting,User Guide",
		"title":"Why Does an Image Fail to Be Uploaded Through a Container Engine Client?",
		"githuburl":""
	},
	{
		"uri":"swr_faq_0033.html",
		"product_code":"swr",
		"code":"30",
		"des":"Problem: When you run the docker pull command to pull an image from SWR, error message \"x509: certificate signed by unknown certificates\" is displayed.Possible Causes:A c",
		"doc_type":"usermanual",
		"kw":"Why Does the docker pull Command Fail to Be Executed?,Troubleshooting,User Guide",
		"title":"Why Does the docker pull Command Fail to Be Executed?",
		"githuburl":""
	},
	{
		"uri":"swr_change_index.html",
		"product_code":"swr",
		"code":"31",
		"des":"HUAWEI CLOUD Help Center presents technical documents to help you quickly get started with HUAWEI CLOUD services. The technical documents include Service Overview, Price Details, Purchase Guide, User Guide, API Reference, Best Practices, FAQs, and Videos.",
		"doc_type":"usermanual",
		"kw":"Change History,User Guide",
		"title":"Change History",
		"githuburl":""
	}
]